package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundNav;
import com.tanpu.fund.entity.generator.FundNavExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundNavMapper {
    long countByExample(FundNavExample example);

    int deleteByExample(FundNavExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundNav record);

    int insertOrUpdate(FundNav record);

    int insertOrUpdateSelective(FundNav record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundNav record);

    List<FundNav> selectByExample(FundNavExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundNav selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundNav record, @Param("example") FundNavExample example);

    int updateByExample(@Param("record") FundNav record, @Param("example") FundNavExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundNav record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundNav record);

    int updateBatch(List<FundNav> list);

    int batchInsert(@Param("list") List<FundNav> list);
}